> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quotedocumentorderbyfields

> Possible choices for fields you can ORDER BY, within a group (or without grouping)

## "quotedocumentorderbyfields" MDO List

Possible choices for fields you can ORDER BY, within a group (or without grouping)

Candidate fields have to be in the QuoteLine table. The double-buffering system in the document
production provider means you can sort on any field at all.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteDocumentOrderByFields">QuoteDocumentOrderByFields</see> class.
The name of the MDO list is 'quotedocumentorderbyfields'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quotedocumentorderbyfields
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quotedocumentorderbyfields", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name             | StyleHint | ExtraInfo          |
| -- | ---------------- | --------- | ------------------ |
| 1  | Rank             |           | rank               |
| 2  | Code             |           | code               |
| 3  | Name             |           | name               |
| 4  | Product category |           | productCategoryKey |
| 5  | Product family   |           | productFamilyKey   |
| 6  | Product type     |           | productTypeKey     |
| 7  | Subscription     |           | isSubscription     |
| 8  | VAT info         |           | vatInfo            |

## Related MDO Lists

* "quotedocumentorderbyfieldsheadings"
* "quotedocumentorderbyfieldsheadingswithallitem"
* "quotedocumentorderbyfieldsheadingswithallitemwithnoselection"
* "quotedocumentorderbyfieldsheadingswithnoselection"
* "quotedocumentorderbyfieldswithallitem"
* "quotedocumentorderbyfieldswithallitemwithnoselection"
* "quotedocumentorderbyfieldswithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
